LibreOffice LibreOffice 26.2 SDK API Reference

Modules | Variables
TransitionType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::animations
| interfaces for SMIL animations.

## Constant Groups
constants | com::sun::star::animations::TransitionType

## Variables
const short | BARWIPE = 1
const short | BOXWIPE = 2
const short | FOURBOXWIPE = 3
const short | BARNDOORWIPE = 4
const short | DIAGONALWIPE = 5
const short | BOWTIEWIPE = 6
const short | MISCDIAGONALWIPE = 7
const short | VEEWIPE = 8
const short | BARNVEEWIPE = 9
const short | ZIGZAGWIPE = 10
const short | BARNZIGZAGWIPE = 11
const short | IRISWIPE = 12
const short | TRIANGLEWIPE = 13
const short | ARROWHEADWIPE = 14
const short | PENTAGONWIPE = 15
const short | HEXAGONWIPE = 16
const short | ELLIPSEWIPE = 17
const short | EYEWIPE = 18
const short | ROUNDRECTWIPE = 19
const short | STARWIPE = 20
const short | MISCSHAPEWIPE = 21
const short | CLOCKWIPE = 22
const short | PINWHEELWIPE = 23
const short | SINGLESWEEPWIPE = 24
const short | FANWIPE = 25
const short | DOUBLEFANWIPE = 26
const short | DOUBLESWEEPWIPE = 27
const short | SALOONDOORWIPE = 28
const short | WINDSHIELDWIPE = 29
const short | SNAKEWIPE = 30
const short | SPIRALWIPE = 31
const short | PARALLELSNAKESWIPE = 32
const short | BOXSNAKESWIPE = 33
const short | WATERFALLWIPE = 34
const short | PUSHWIPE = 35
const short | SLIDEWIPE = 36
const short | FADE = 37
const short | RANDOMBARWIPE = 38
const short | CHECKERBOARDWIPE = 39
const short | DISSOLVE = 40
const short | BLINDSWIPE = 41
const short | RANDOM = 42
const short | ZOOM = 43